Skip to content
Docs

Check Volume Create Availability

POST/v1/compute/volumes/availability

Check Volume Create Availability

Body ParametersJSONExpand Collapse
name: string

Name of the Volume.

project_id: string

Project ID the Volume belongs to.

region: RegionName

Region the resource is in.

size: number

Size of the Volume in GB.

Type of the Volume.

One of the following:
"nvme"
"abs"
tags: optional array of string

Tags to attach to the Volume.

vm_id: optional string

ID of the VM the Volume is attached to.

Check Volume Create Availability

curl https://api.nirvanalabs.io/v1/compute/volumes/availability \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
    -d '{
          "name": "my-data-volume",
          "project_id": "123e4567-e89b-12d3-a456-426614174000",
          "region": "us-sva-2",
          "size": 100,
          "type": "abs",
          "tags": [
            "production",
            "ethereum"
          ],
          "vm_id": "123e4567-e89b-12d3-a456-426614174000"
        }'
Returns Examples